---
title: "Retrieve BA Currencies by Code"
slug: "retrieve-ba-currencies-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-ba-currencies-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve BA Currencies by Code

Get/sys-rest-api/rest/1/bacurrency

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select by Bacurrency Finder
- By UUID

#### Select by Bacurrency Finder

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| CurrName | Currency Name | Canadian Dollar |

#### By UUID

This is an optional finder for querying a specific Currency by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /sys-rest-api/rest/1/bacurrency/CAD |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleBacurrencyFinder;CurrName=Canadian Dollar
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleBacurrCode:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='309fd5fc-2251-48dd-8a73-66b92fc346ed'>application/json</option>
</select>

```json
{
  "items": [
    {
      "BacurrCode": "CAD",
      "BacurrName": "Canadian Dollar",
      "BacurrLogo": null,
      "BacurrWordMapping": null,
      "BacurrIuCreateDate": "2015-01-22T14:38:38Z",
      "BacurrIuCreateUser": "ADWAIT",
      "BacurrIuUpdateDate": null,
      "BacurrIuUpdateUser": null,
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/bacurrency/CAD",
          "name": "bacurrency",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/bacurrency/CAD",
          "name": "bacurrency",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/bacurrency",
      "name": "bacurrency",
      "kind": "collection"
    }
  ]
}
```

object
